Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #574

Add Open Folder to playlist context menu
September 27, 2015 12:35 - Ev Dolzhenko

Status: Closed Start date: September 27, 2015
Priority: Minor Due date:

Assignee: % Done: 100%

Category: plugins/gtkui Estimated time: 0.00 hour

Target version:

Affects version: 3.52

Description

Other apps having such feature are VLC and uTorrent, | think its a generally useful integration feature for performing different task -
e.g. copying/converting files, checking cover art files in the same folder as album etc. Probably could be done as plugin?

PS. Thanks for great player.

History

#1 - September 27, 2015 20:32 - Thomas Lange

A playlist can consist of files from different folders.
Would it not be better to add it in the "Playback"” menu like "Song Info"?

#2 - September 28, 2015 00:14 - John Lindgren

Open Folder is already in the File menu (combined with Open Files in the GTK+ Ul). Why would we want it in two different places?

#3 - September 28, 2015 00:34 - Ev Dolzhenko

Sorry, missed the feature functionality explanation - what | had in mind is the right click context menu you see on clicking playlist item that takes you
to the folder the file you clicked on is located in.

File > Open Files seems like a different thing, i.e. adding to playlist instead of navigating to the location of already added items (correct me if I'm
wrong).

#4 - September 28, 2015 03:00 - John Lindgren

Do you mean something like the Open Containing Folder command that was added in 3.6?
http://audacious-media-player.org/news/32-audacious-3-6-released

#5 - September 28, 2015 10:23 - Ev Dolzhenko

Yes! | had 3.5 installed from ubuntu vivid packages, now I'm using WebUpd8 and it's there. Thank you very much, this can be closed (should always
check latest version before submitting requests).

#6 - September 28, 2015 16:23 - John Lindgren
- Category set to plugins/gtkui

- Status changed from New to Closed

- % Done changed from 0 to 100

- Affects version 3.5.2 added
